The last four quarterly income statements.
finterm tool financial_statements AAPL --statement-type income_statement --as-of-date 2024-12-01 --timeframe quarterlyimport requests
url = "https://api.finterm.ai/api/v1/fundamentals/financials"
payload = {
"ticker": "<string>",
"as_of_date": "<string>",
"fiscal_year": 123,
"fiscal_quarter": 2.5,
"limit": 10.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticker: '<string>',
as_of_date: '<string>',
fiscal_year: 123,
fiscal_quarter: 2.5,
limit: 10.5
})
};
fetch('https://api.finterm.ai/api/v1/fundamentals/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"data": {
"ticker": "<string>",
"statement_type": "balance_sheet",
"periods": [
{
"fiscal_year": 123,
"fiscal_quarter": 123,
"fiscal_year_as_reported": 123,
"fiscal_quarter_as_reported": 123,
"fiscal_label_source": "reported",
"period_start": "<string>",
"period_end": "<string>",
"period_days": 123,
"filing_date": "<string>",
"timeframe": "<string>",
"period_source": "reported",
"non_reliance_reason": "superseded_by_amendment",
"total_assets": 123,
"total_current_assets": 123,
"cash_and_equivalents": 123,
"short_term_investments": 123,
"accounts_receivable": 123,
"inventory": 123,
"total_non_current_assets": 123,
"property_plant_equipment": 123,
"goodwill": 123,
"intangible_assets": 123,
"total_liabilities": 123,
"total_current_liabilities": 123,
"accounts_payable": 123,
"short_term_debt": 123,
"total_non_current_liabilities": 123,
"long_term_debt": 123,
"total_equity": 123,
"retained_earnings": 123,
"common_stock": 123
}
],
"derivation_status": "not_applicable",
"revision_policy": "first_filed",
"non_reliance": {
"status": "superseded",
"events": [
{
"form": "<string>",
"item": "<string>",
"filed_date": "<string>",
"period_end": "<string>",
"accession_number": "<string>"
}
]
},
"miss_reason": "ticker_not_covered"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}Point Tools
Reported balance sheet, income statement, or cash flow for a company.
Get a company’s reported financial statements (balance sheet, income statement, or cash flow), one statement type per call, as a series of reporting periods. Use it to analyze financial health, profitability, and cash generation. Each period carries its fiscal year and quarter, the period end and filing dates, and the statement’s line items.
POST
/
api
/
v1
/
fundamentals
/
financials
The last four quarterly income statements.
finterm tool financial_statements AAPL --statement-type income_statement --as-of-date 2024-12-01 --timeframe quarterlyimport requests
url = "https://api.finterm.ai/api/v1/fundamentals/financials"
payload = {
"ticker": "<string>",
"as_of_date": "<string>",
"fiscal_year": 123,
"fiscal_quarter": 2.5,
"limit": 10.5
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
ticker: '<string>',
as_of_date: '<string>',
fiscal_year: 123,
fiscal_quarter: 2.5,
limit: 10.5
})
};
fetch('https://api.finterm.ai/api/v1/fundamentals/financials', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"data": {
"ticker": "<string>",
"statement_type": "balance_sheet",
"periods": [
{
"fiscal_year": 123,
"fiscal_quarter": 123,
"fiscal_year_as_reported": 123,
"fiscal_quarter_as_reported": 123,
"fiscal_label_source": "reported",
"period_start": "<string>",
"period_end": "<string>",
"period_days": 123,
"filing_date": "<string>",
"timeframe": "<string>",
"period_source": "reported",
"non_reliance_reason": "superseded_by_amendment",
"total_assets": 123,
"total_current_assets": 123,
"cash_and_equivalents": 123,
"short_term_investments": 123,
"accounts_receivable": 123,
"inventory": 123,
"total_non_current_assets": 123,
"property_plant_equipment": 123,
"goodwill": 123,
"intangible_assets": 123,
"total_liabilities": 123,
"total_current_liabilities": 123,
"accounts_payable": 123,
"short_term_debt": 123,
"total_non_current_liabilities": 123,
"long_term_debt": 123,
"total_equity": 123,
"retained_earnings": 123,
"common_stock": 123
}
],
"derivation_status": "not_applicable",
"revision_policy": "first_filed",
"non_reliance": {
"status": "superseded",
"events": [
{
"form": "<string>",
"item": "<string>",
"filed_date": "<string>",
"period_end": "<string>",
"accession_number": "<string>"
}
]
},
"miss_reason": "ticker_not_covered"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}{
"finterm": {
"schema": "<string>",
"tool": "<string>",
"args": {},
"request_id": "<string>",
"cursor": "<string>"
},
"error": {
"code": "<string>",
"message": "<string>",
"upgrade_url": "<string>"
}
}Authorizations
A live account API key from FINTERM_API_KEY.
Body
application/json
Stock ticker symbol
Financial statement type
Available options:
balance_sheet, income_statement, cash_flow Filing-date cutoff in YYYY-MM-DD format
Pattern:
^\d{4}-(0[1-9]|1[0-2])-(0[1-9]|[12]\d|3[01])$Period type
Available options:
quarterly, annual, trailing_twelve_months Fiscal-year filter
Fiscal-quarter filter
Required range:
1 <= x <= 4Number of periods to return
Required range:
1 <= x <= 20